Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSS

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.vss.MSVSS

Direct Known Subclasses:
  MSVSSGET, MSVSSLABEL

public abstract class MSVSS
extends Task

A base class for creating tasks for executing commands on Visual SourceSafe.

The class extends the 'exec' task as it operates by executing the ss.exe program supplied with SourceSafe. By default the task expects ss.exe to be in the path, you can override this be specifying the ssdir attribute.

This class provides set and get methods for 'login' and 'vsspath' attributes. It also contains constants for the flags that can be passed to SS.

Author:
  Craig Cottingham, Andrew Everitt

Field Summary
`static java.lang.String` | `COMMAND_CHECKOUT` The 'Checkout' command
`static java.lang.String` | `COMMAND_GET` The 'Get' command
`static java.lang.String` | `COMMAND_HISTORY` The 'History' command
`static java.lang.String` | `COMMAND_LABEL` The 'Label' command
`static java.lang.String` | `FLAG_AUTORESPONSE_DEF`
`static java.lang.String` | `FLAG_AUTORESPONSE_NO`
`static java.lang.String` | `FLAG_AUTORESPONSE_YES`
`static java.lang.String` | `FLAG_LOGIN`
`static java.lang.String` | `FLAG_OVERRIDE_WORKING_DIR`
`static java.lang.String` | `FLAG_RECURSION`
`static java.lang.String` | `FLAG_VERSION`
`static java.lang.String` | `FLAG_VERSION_DATE`
`static java.lang.String` | `FLAG_VERSION_LABEL`
`static java.lang.String` | `FLAG_WRITABLE`
`static java.lang.String` | `PROJECT_PREFIX`
`static java.lang.String` | `VALUE_NO`
`static java.lang.String` | `VALUE_YES`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`MSVSS()`

Method Summary
`void` | `getLoginCommand(Commandline cmd)`
`java.lang.String` | `getSSCommand()` Builds and returns the command string to execute ss.exe
`java.lang.String` | `getVsspath()`
`protected int` | `run(Commandline cmd)`
`void` | `setLogin(java.lang.String login)` Set the login to use when accessing vss.
`void` | `setSsdir(java.lang.String dir)` Set the directory where ss.exe is located
`void` | `setVsspath(java.lang.String vssPath)` Set the path to the item in vss to operate on

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROJECT_PREFIX

    public static final java.lang.String PROJECT_PREFIX

### COMMAND_GET

    public static final java.lang.String COMMAND_GET

  The 'Get' command

### COMMAND_CHECKOUT

    public static final java.lang.String COMMAND_CHECKOUT

  The 'Checkout' command

### COMMAND_LABEL

    public static final java.lang.String COMMAND_LABEL

  The 'Label' command

### COMMAND_HISTORY

    public static final java.lang.String COMMAND_HISTORY

  The 'History' command

### FLAG_LOGIN

    public static final java.lang.String FLAG_LOGIN

### FLAG_OVERRIDE_WORKING_DIR

    public static final java.lang.String FLAG_OVERRIDE_WORKING_DIR

### FLAG_AUTORESPONSE_DEF

    public static final java.lang.String FLAG_AUTORESPONSE_DEF

### FLAG_AUTORESPONSE_YES

    public static final java.lang.String FLAG_AUTORESPONSE_YES

### FLAG_AUTORESPONSE_NO

    public static final java.lang.String FLAG_AUTORESPONSE_NO

### FLAG_RECURSION

    public static final java.lang.String FLAG_RECURSION

### FLAG_VERSION

    public static final java.lang.String FLAG_VERSION

### FLAG_VERSION_DATE

    public static final java.lang.String FLAG_VERSION_DATE

### FLAG_VERSION_LABEL

    public static final java.lang.String FLAG_VERSION_LABEL

### FLAG_WRITABLE

    public static final java.lang.String FLAG_WRITABLE

### VALUE_NO

    public static final java.lang.String VALUE_NO

### VALUE_YES

    public static final java.lang.String VALUE_YES

Constructor Detail

### MSVSS

    public MSVSS()

Method Detail

### setSsdir

    public final void setSsdir(java.lang.String dir)

  Set the directory where ss.exe is located
  Parameters:
    `dir` - the directory containing ss.exe

### getSSCommand

    public final java.lang.String getSSCommand()

  Builds and returns the command string to execute ss.exe

### setLogin

    public final void setLogin(java.lang.String login)

  Set the login to use when accessing vss.

  Should be formatted as username,password

  Parameters:
    `login` - the login string to use

### getLoginCommand

    public void getLoginCommand(Commandline cmd)

  Returns:
    the appropriate login command if the 'login' attribute was specified, otherwise an empty string

### setVsspath

    public final void setVsspath(java.lang.String vssPath)

  Set the path to the item in vss to operate on

  Ant can't cope with a '$' sign in an attribute so we have to add it here. Also we strip off any 'vss://' prefix which is an XMS special and should probably be removed!

  Parameters:
    `vssPath` -

### getVsspath

    public java.lang.String getVsspath()

  Returns:
    m_vssPath

### run

    protected int run(Commandline cmd)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.